# DaprAppCallbackProtos.TopicEventResponseOrBuilder (dapr-sdk-parent 1.10.0 API)

Package io.dapr.v1

## Interface DaprAppCallbackProtos.TopicEventResponseOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `DaprAppCallbackProtos.TopicEventResponse`, `DaprAppCallbackProtos.TopicEventResponse.Builder`

Enclosing class:
  DaprAppCallbackProtos

    public static interface DaprAppCallbackProtos.TopicEventResponseOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`DaprAppCallbackProtos.TopicEventResponse.TopicEventResponseStatus` `getStatus()` The list of output bindings.
`int` `getStatusValue()` The list of output bindings.

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getStatusValue

    int getStatusValue()

     The list of output bindings.

`.dapr.proto.runtime.v1.TopicEventResponse.TopicEventResponseStatus status = 1;`

Returns:
  The enum numeric value on the wire for status.

#### getStatus

    DaprAppCallbackProtos.TopicEventResponse.TopicEventResponseStatus getStatus()

     The list of output bindings.

`.dapr.proto.runtime.v1.TopicEventResponse.TopicEventResponseStatus status = 1;`

Returns:
  The status.